import { createActionGroup, props, emptyProps } from '@ngrx/store';

export const loaderActions = createActionGroup({
  source: 'Loader',
  events: {
    SET_LOADER: props<{ isLoading: boolean }>(),
    SHOW_LOADER: emptyProps(),
    HIDE_LOADER: emptyProps(),
  },
});
